## gnome-print-preview

gnome-print-preview

## Synopsis

                        GnomePrintPreview;
                        GnomePrintPreviewClass;
    GnomePrintContext * gnome_print_preview_new             (GnomePrintConfig *config,
                                                             GnomeCanvas *canvas);
    GnomePrintContext * gnome_print_preview_new_full        (GnomePrintConfig *config,
                                                             GnomeCanvas *canvas,
                                                             const gdouble *transform,
                                                             const ArtDRect *region);

## Object Hierarchy

      GObject
       +----GnomePrintContext
             +----GnomePrintPreview

## Properties

      "group"                    GnomeCanvasGroup*     : Read / Write / Construct Only
      "only-first"               gboolean              : Read / Write
      "theme-compliance"         gboolean              : Read / Write
      "use-theme"                gboolean              : Read / Write

## Description

## Details

### GnomePrintPreview

    typedef struct _GnomePrintPreview GnomePrintPreview;

### GnomePrintPreviewClass

    typedef struct _GnomePrintPreviewClass GnomePrintPreviewClass;

### gnome_print_preview_new ()

    GnomePrintContext * gnome_print_preview_new             (GnomePrintConfig *config,
                                                             GnomeCanvas *canvas);

Creates a new PrintPreview object that use the `canvas` GnomeCanvas as its rendering backend.

`config` : |
`canvas` : | Canvas on which we display the print preview
Returns : | A GnomePrintContext suitable for using with the GNOME print API.

### gnome_print_preview_new_full ()

    GnomePrintContext * gnome_print_preview_new_full        (GnomePrintConfig *config,
                                                             GnomeCanvas *canvas,
                                                             const gdouble *transform,
                                                             const ArtDRect *region);

`config` : |
`canvas` : |
`transform` : |
`region` : |
Returns : |

## Property Details

### The `"group"` property

      "group"                    GnomeCanvasGroup*     : Read / Write / Construct Only

Group.

### The `"only-first"` property

      "only-first"               gboolean              : Read / Write

Show only first page.

Default value: FALSE

### The `"theme-compliance"` property

      "theme-compliance"         gboolean              : Read / Write

Theme compliance.

Default value: TRUE

### The `"use-theme"` property

      "use-theme"                gboolean              : Read / Write

Use theme.

Default value: FALSE